geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From yduchesne <yanickduche...@yahoo.com>
Subject Re: problem with axis/axiom dependencies building 2.2
Date Wed, 02 Dec 2009 19:33:18 GMT

Strange, I tried running the build again just for the sake of it and I got
this now:

INFO] Compiling 1 source file to
/home/yduchesne/dev/geronimo/plugins/jetty7/geronimo-jetty7-builder/target/classes
[WARNING]
/home/yduchesne/dev/geronimo/plugins/jetty7/geronimo-jetty7-builder/src/main/java/org/apache/geronimo/jetty7/deployment/JettyModuleBuilder.java:[328,66]
[deprecation] toURL() in java.io.File has been deprecated

[INFO] [resources:testResources {execution: default-testResources}]
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] Copying 36 resources
[INFO] skip non existing resourceDirectory
/home/yduchesne/dev/geronimo/plugins/jetty7/geronimo-jetty7-builder/src/test/filtered-resources
[INFO] Copying 3 resources
[INFO] [compiler:testCompile {execution: default-testCompile}]
[INFO] Compiling 8 source files to
/home/yduchesne/dev/geronimo/plugins/jetty7/geronimo-jetty7-builder/target/test-classes
[INFO]
------------------------------------------------------------------------
[ERROR] BUILD ERROR
[INFO]
------------------------------------------------------------------------
org.codehaus.classworlds.NoSuchRealmException: plexus.core
	at org.codehaus.classworlds.ClassWorld.getRealm(ClassWorld.java:128)
	at org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:434)
	at org.codehaus.classworlds.Launcher.main(Launcher.java:375)


yduchesne wrote:
> 
> Build works fine until the following happens. What could be the cause ?
> 
> [INFO]
> ------------------------------------------------------------------------
> [INFO] Building Geronimo Plugins, AXIS2 :: Core
> [INFO]    task-segment: [install]
> [INFO]
> ------------------------------------------------------------------------
> [INFO] [genesis:validate-configuration {execution: default}]
> [WARNING] POM for 'org.apache.axis2:axis2-kernel:pom:1.5:compile' is
> invalid.
> 
> Its dependencies (if any) will NOT be available to the current build.
> [WARNING] POM for 'org.apache.axis2:axis2-saaj:pom:1.5:compile' is
> invalid.
> 
> Its dependencies (if any) will NOT be available to the current build.
> [WARNING] POM for 'org.apache.axis2:axis2-metadata:pom:1.5:compile' is
> invalid.
> 
> Its dependencies (if any) will NOT be available to the current build.
> [WARNING] POM for 'org.apache.axis2:axis2-transport-http:pom:1.5:compile'
> is invalid.
> 
> Its dependencies (if any) will NOT be available to the current build.
> [WARNING] POM for
> 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:compile' is invalid.
> 
> Its dependencies (if any) will NOT be available to the current build.
> [WARNING] POM for
> 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:compile' is invalid.
> 
> Its dependencies (if any) will NOT be available to the current build.
> [INFO]
> ------------------------------------------------------------------------
> [ERROR] BUILD ERROR
> [INFO]
> ------------------------------------------------------------------------
> [INFO] Error building POM (may not be this project's POM).
> 
> 
> Project ID: null:axiom-dom:jar:1.2.8
> 
> Reason: Cannot find parent: org.apache.ws.commons.axiom:axiom for project:
> null:axiom-dom:jar:1.2.8 for project null:axiom-dom:jar:1.2.8
> 
> 
> MY SETUP:
> 
> - Maven 2.2.1 on Linux
> - settings.xml:
> <settings>
>    <mirrors>
>        <mirror>
>            <id>java.net</id>
>            <name>Mirror of
> https://maven-repository.dev.java.net/nonav/repository/</name>
>            <url>http://download.java.net/maven/1/</url>
>            <mirrorOf>java.net</mirrorOf>
>        </mirror>
>    </mirrors>
> </settings>
> 
> 
> 

-- 
View this message in context: http://old.nabble.com/problem-with-axis-axiom-dependencies-building-2.2-tp26611216s134p26614946.html
Sent from the Apache Geronimo - Dev mailing list archive at Nabble.com.


Mime
View raw message